CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Friends
csl::FilterSpecification Class Reference

forward declaration More...

`#include <FIR.h>`

List of all members.

## Public Member Functions
| FilterSpecification (unsigned numTaps=0, unsigned numBands=0, double *freqs=NULL, double *resps=NULL, double *weights=NULL)
| ~FilterSpecification ()
void | setFrequencies (double *frequencies)
void | setResponses (double *responses)
void | setWeights (double *weights)
void | setNumTaps (unsigned numTaps)
void | planFilter ()

## Public Attributes
double * | mTapData
| the FIR tap weights (created by the planFilter method)

## Protected Attributes
unsigned | mNumTaps
| number of taps desired
unsigned | mNumBands
| length of specification
double * | mFrequencies
| band edge frequencies (2 * mNumBands)
double * | mResponses
| band responses (mNumBands)
double * | mWeights
| band error weights (mNumBands)

## Friends
class | FIR
| Allow the FIR to access private members of this class.

## Detailed Description

forward declaration

FilterSpecification class for designing multi-band-pass FIR filter impulse responses

Definition at line 25 of file FIR.h.

## Constructor & Destructor Documentation

FilterSpecification::FilterSpecification | ( | unsigned | numTaps = `0`,
|  | unsigned | numBands = `0`,
|  | double * | freqs = `NULL`,
|  | double * | resps = `NULL`,
|  | double * | weights = `NULL`
| ) |  |

Definition at line 23 of file FIR.cpp.

References planFilter(), setFrequencies(), setNumTaps(), setResponses(), and setWeights().

FilterSpecification::~FilterSpecification | ( |  | ) |

Definition at line 33 of file FIR.cpp.

References mFrequencies, mResponses, mTapData, and mWeights.

## Member Function Documentation

void FilterSpecification::setFrequencies | ( | double * | frequencies | ) |

Definition at line 42 of file FIR.cpp.

References memcpy(), mFrequencies, and mNumBands.

Referenced by FilterSpecification().

void FilterSpecification::setResponses | ( | double * | responses | ) |

Definition at line 49 of file FIR.cpp.

References memcpy(), mNumBands, and mResponses.

Referenced by FilterSpecification().

void FilterSpecification::setWeights | ( | double * | weights | ) |

Definition at line 56 of file FIR.cpp.

References memcpy(), mNumBands, and mWeights.

Referenced by FilterSpecification().

void FilterSpecification::setNumTaps | ( | unsigned | numTaps | ) |

Definition at line 63 of file FIR.cpp.

References csl::kLogError, csl::logMsg(), mNumTaps, and mTapData.

Referenced by FilterSpecification(), and csl::FIR::setTaps().

void FilterSpecification::planFilter | ( |  | ) |

Definition at line 77 of file FIR.cpp.

References BANDPASS, csl::CGestalt::frameRate(), mFrequencies, mNumBands, mNumTaps, mResponses, mTapData, mWeights, and remez().

Referenced by FilterSpecification(), and csl::FIR::FIR().

## Friends And Related Function Documentation

friend class FIR
| friend

Allow the FIR to access private members of this class.

Definition at line 28 of file FIR.h.

## Member Data Documentation

double* csl::FilterSpecification::mTapData

the FIR tap weights (created by the planFilter method)

Definition at line 41 of file FIR.h.

Referenced by csl::FIR::FIR(), planFilter(), setNumTaps(), csl::FIR::setTaps(), and ~FilterSpecification().

unsigned csl::FilterSpecification::mNumTaps
| protected

number of taps desired

Definition at line 44 of file FIR.h.

Referenced by planFilter(), csl::FIR::resetDLine(), and setNumTaps().

unsigned csl::FilterSpecification::mNumBands
| protected

length of specification

Definition at line 45 of file FIR.h.

Referenced by planFilter(), setFrequencies(), setResponses(), and setWeights().

double* csl::FilterSpecification::mFrequencies
| protected

band edge frequencies (2 * mNumBands)

Definition at line 46 of file FIR.h.

Referenced by planFilter(), setFrequencies(), and ~FilterSpecification().

double* csl::FilterSpecification::mResponses
| protected

band responses (mNumBands)

Definition at line 47 of file FIR.h.

Referenced by planFilter(), setResponses(), and ~FilterSpecification().

double* csl::FilterSpecification::mWeights
| protected

band error weights (mNumBands)

Definition at line 48 of file FIR.h.

Referenced by planFilter(), setWeights(), and ~FilterSpecification().

The documentation for this class was generated from the following files:

- CSL/Processors/FIR.h
- CSL/Processors/FIR.cpp